org.apache.poi.ss.usermodel

## Interface Chart

- All Superinterfaces:
    ManuallyPositionable
  All Known Implementing Classes:
    XSSFChart

  Deprecated.

      @Deprecated
       @Removal(version="4.2")
      public interface Chart
      extends ManuallyPositionable

  High level representation of a chart.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteLegend()` Deprecated. Delete current chart legend.
    `java.util.List<? extends ChartAxis>` | `getAxis()` Deprecated.
    `ChartAxisFactory` | `getChartAxisFactory()` Deprecated.
    `ChartDataFactory` | `getChartDataFactory()` Deprecated.
    `ChartLegend` | `getOrCreateLegend()` Deprecated.
    `void` | `plot(ChartData data, ChartAxis... axis)` Deprecated. Plots specified data on the chart.

    - ### Methods inherited from interface org.apache.poi.ss.usermodel.charts.ManuallyPositionable

      `getManualLayout`

- - ### Method Detail

    - #### getChartDataFactory

          ChartDataFactory getChartDataFactory()

      Deprecated.
      Returns:
        an appropriate ChartDataFactory implementation

    - #### getChartAxisFactory

          ChartAxisFactory getChartAxisFactory()

      Deprecated.
      Returns:
        an appropriate ChartAxisFactory implementation

    - #### getOrCreateLegend

          ChartLegend getOrCreateLegend()

      Deprecated.
      Returns:
        chart legend instance

    - #### deleteLegend

          void deleteLegend()

      Deprecated.
      Delete current chart legend.

    - #### getAxis

          java.util.List<? extends ChartAxis> getAxis()

      Deprecated.
      Returns:
        list of all chart axis

    - #### plot

          void plot(ChartData data,
                    ChartAxis... axis)

      Deprecated.
      Plots specified data on the chart.
      Parameters:
        `data` - a data to plot

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.